Request URL
https://gateway.pay247.io/gateway/payin/update
Request Method
- POST
Request Parameters
| Parameter | Must | Type | Explanation |
|---|---|---|---|
| mch_id | Yes | string | Merchant ID |
| mch_order_no | Yes | string | Merchant Order NO. |
| transaction_id | Yes | string | The UTR For INR |
| timestamp | Yes | string | timestamp millisecond |
| version | Yes | string | v3.0 |
| uuid | Yes | string | Request ID: 550e8400-e29b-41d4-a716-446655440000 |
| sign | Yes | string | Signature |
For example
{
"mch_id": "Q0P5T8DOGN10000",
"mch_order_no": "TRADE-405189",
"transaction_id": "HDFC0001234567890",
"timestamp": "1693233334134",
"version": "v3.0",
"uuid": "550e8400-e29b-41d4-a716-446655440000",
"sign": "81930c5a04d1c58fd1efe33b06e2ffa7"
}
Response Data
| Parameter | Must | Type | Explanation |
|---|---|---|---|
| mch_id | Yes | string | Merchant ID. |
| order_no | Yes | string | System Order No. |
| mch_order_no | Yes | string | Merchant Order No. |
| transaction_id | Yes | string | The UTR For INR |
| status | No | string | The order status |
For example
{
"code": 0,
"message": "success",
"uuid": "550e8400-e29b-41d4-a716-446655440000",
"timestamp": "1693233334134",
"data": {
"mch_id": "MCH12345678",
"mch_order_no": "23082822325936693122",
"order_no": "MO202308282232593669984082",
"transaction_id": "HDFC0001234567890",
"status": "PENDING"
}
}
